diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignation.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignation.java
index 24a59f270c..77ad0eb963 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignation.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignation.java
@@ -87,14 +87,14 @@ public class SpecimenTypeDesignation
 //	 * @param status				the type designation status
 //	 * @param citation				the reference source for the new designation
 //	 * @param citationMicroReference	the string with the details describing the exact localisation within the reference
-//	 * @param originalNameString	the taxon name string used originally in the reference source for the new designation
+//	 * @param originalInfo       	any information from the original source, might be the name as written in the source (#10097)
 //	 * @see							#SpecimenTypeDesignation(DerivedUnit, TypeDesignationStatus, Reference, String, String)
 //	 * @see							HomotypicalGroup#addSpecimenTypeDesignation(SpecimenTypeDesignation, boolean)
 //	 * @see							occurrence.DerivedUnit
 //	 */
 //	protected static SpecimenTypeDesignation NewInstance2(DerivedUnit specimen, TypeDesignationStatus status,
-//			Reference citation, String citationMicroReference, String originalNameString){
-//		SpecimenTypeDesignation specTypeDesig = new SpecimenTypeDesignation(specimen, status, citation, citationMicroReference, originalNameString);
+//			Reference citation, String citationMicroReference, String originalInfo){
+//		SpecimenTypeDesignation specTypeDesig = new SpecimenTypeDesignation(specimen, status, citation, citationMicroReference, originalInfo);
 //		return specTypeDesig;
 //	}
 
@@ -121,7 +121,7 @@ public class SpecimenTypeDesignation
 	 * @param citation				the reference source for the new designation
 	 * @param citationMicroReference	the string with the details describing
 	 * 								the exact localisation within the reference
-	 * @param originalNameString	the taxon name string used originally in the
+	 * @param originalInfo         	any information from the original source, might be the name as written in the source (#10097)
 	 * 								reference source for the new designation
 	 * @param isNotDesignated		the boolean flag indicating whether there is no specimen type at all for
 	 * 								<i>this</i> specimen type designation
@@ -131,8 +131,8 @@ public class SpecimenTypeDesignation
 	 * @see							eu.etaxonomy.cdm.model.occurrence.DerivedUnit
 	 */
 	protected SpecimenTypeDesignation(DerivedUnit specimen, SpecimenTypeDesignationStatus status, Reference citation, String citationMicroReference,
-			String originalNameString, boolean isNotDesignated) {
-		super(citation, citationMicroReference, originalNameString, isNotDesignated);
+			String originalInfo, boolean isNotDesignated) {
+		super(citation, citationMicroReference, originalInfo, isNotDesignated);
 		this.setTypeSpecimen(specimen);
 		this.setTypeStatus(status);
 	}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TaxonName.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TaxonName.java
index d8cd5a8c1f..7a0a6d082f 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TaxonName.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TaxonName.java
@@ -2039,11 +2039,11 @@ public class TaxonName
 
     @Override
     @Transient
-    public void setOriginalNameString(String originalNameString){
-        if (isNotBlank(originalNameString)){
-            this.getNomenclaturalSource(true).setOriginalNameString(originalNameString);
+    public void setOriginalInfo(String originalInfo){
+        if (isNotBlank(originalInfo)){
+            this.getNomenclaturalSource(true).setOriginalInfo(originalInfo);
         }else if (this.getNomenclaturalSource() != null){
-            this.getNomenclaturalSource().setOriginalNameString(null);
+            this.getNomenclaturalSource().setOriginalInfo(null);
             checkNullSource();
         }
     }
@@ -2443,7 +2443,7 @@ public class TaxonName
      * @param  typeSpecies				the taxon name to be used as type of <i>this</i> taxon name
      * @param  citation					the reference for this new designation
      * @param  citationMicroReference	the string with the details (generally pages) within the reference
-     * @param  originalNameString		the taxon name string used in the reference to assert this designation
+     * @param  originalInfo     		any information from the original source, might be the name as written in the source (#10097)
      * @param  isRejectedType			the boolean status for a rejected name type designation
      * @param  isConservedType			the boolean status for a conserved name type designation
      * @param  isLectoType				the boolean status for a lectotype name type designation
@@ -2459,14 +2459,14 @@ public class TaxonName
     public NameTypeDesignation addNameTypeDesignation(TaxonName typeSpecies,
                 Reference citation,
                 String citationMicroReference,
-                String originalNameString,
+                String originalName,
                 NameTypeDesignationStatus status,
                 boolean isRejectedType,
                 boolean isConservedType,
                 /*boolean isLectoType, */
                 boolean isNotDesignated,
                 boolean addToAllHomotypicNames) {
-        NameTypeDesignation nameTypeDesignation = new NameTypeDesignation(typeSpecies, citation, citationMicroReference, originalNameString, status, isRejectedType, isConservedType, isNotDesignated);
+        NameTypeDesignation nameTypeDesignation = new NameTypeDesignation(typeSpecies, citation, citationMicroReference, originalName, status, isRejectedType, isConservedType, isNotDesignated);
         //nameTypeDesignation.setLectoType(isLectoType);
         addTypeDesignation(nameTypeDesignation, addToAllHomotypicNames);
         return nameTypeDesignation;
@@ -2479,7 +2479,7 @@ public class TaxonName
      * @param  typeSpecies				the taxon name to be used as type of <i>this</i> taxon name
      * @param  citation					the reference for this new designation
      * @param  citationMicroReference	the string with the details (generally pages) within the reference
-     * @param  originalNameString		the taxon name string used in the reference to assert this designation
+     * @param  originalInfo     		any information from the original source, might be the name as written in the source (#10097)
      * @param  status                   the name type designation status
      * @param  addToAllHomotypicNames	the boolean indicating whether the name type designation should be
      * 									added to all taxon names of the homotypical group this taxon name belongs to
@@ -2492,10 +2492,10 @@ public class TaxonName
     public NameTypeDesignation addNameTypeDesignation(TaxonName typeSpecies,
                 Reference citation,
                 String citationMicroReference,
-                String originalNameString,
+                String originalInfo,
                 NameTypeDesignationStatus status,
                 boolean addToAllHomotypicNames) {
-        NameTypeDesignation nameTypeDesignation = new NameTypeDesignation(typeSpecies, status, citation, citationMicroReference, originalNameString);
+        NameTypeDesignation nameTypeDesignation = new NameTypeDesignation(typeSpecies, status, citation, citationMicroReference, originalInfo);
         addTypeDesignation(nameTypeDesignation, addToAllHomotypicNames);
         return nameTypeDesignation;
     }
@@ -2527,7 +2527,7 @@ public class TaxonName
      * @param  status					the specimen type designation status
      * @param  citation					the reference for this new specimen type designation
      * @param  citationMicroReference	the string with the details (generally pages) within the reference
-     * @param  originalNameString		the taxon name used in the reference to assert this designation
+     * @param  originalInfo     		any information from the original source, might be the name as written in the source (#10097)
      * @param  isNotDesignated			the boolean status for a specimen type designation without specimen type
      * @param  addToAllHomotypicNames	the boolean indicating whether the specimen type designation should be
      * 									added to all taxon names of the homotypical group the typified
@@ -2543,10 +2543,10 @@ public class TaxonName
                 SpecimenTypeDesignationStatus status,
                 Reference citation,
                 String citationMicroReference,
-                String originalNameString,
+                String originalInfo,
                 boolean isNotDesignated,
                 boolean addToAllHomotypicNames) {
-        SpecimenTypeDesignation specimenTypeDesignation = new SpecimenTypeDesignation(typeSpecimen, status, citation, citationMicroReference, originalNameString, isNotDesignated);
+        SpecimenTypeDesignation specimenTypeDesignation = new SpecimenTypeDesignation(typeSpecimen, status, citation, citationMicroReference, originalInfo, isNotDesignated);
         addTypeDesignation(specimenTypeDesignation, addToAllHomotypicNames);
         return specimenTypeDesignation;
     }
@@ -2558,9 +2558,9 @@ public class TaxonName
                 boolean isVerbatim,
                 Reference citation,
                 String citationMicroReference,
-                String originalNameString,
+                String originalInfo,
                 boolean addToAllHomotypicNames) {
-        TextualTypeDesignation textualTypeDesignation = TextualTypeDesignation.NewInstance(text, language, isVerbatim, citation, citationMicroReference, originalNameString);
+        TextualTypeDesignation textualTypeDesignation = TextualTypeDesignation.NewInstance(text, language, isVerbatim, citation, citationMicroReference, originalInfo);
         addTypeDesignation(textualTypeDesignation, addToAllHomotypicNames);
         return textualTypeDesignation;
     }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TextualTypeDesignation.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TextualTypeDesignation.java
index 9f227e0640..46c7ac5c1e 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TextualTypeDesignation.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TextualTypeDesignation.java
@@ -84,9 +84,9 @@ public class TextualTypeDesignation extends TypeDesignationBase<SpecimenTypeDesi
     }
 
     public static TextualTypeDesignation NewInstance(String text, Language language, boolean isVerbatim,
-            Reference citation, String citationMicroReference, String originalNameString) {
+            Reference citation, String citationMicroReference, String originalInfo) {
         TextualTypeDesignation result = new TextualTypeDesignation(text, language, isVerbatim,
-                citation, citationMicroReference, originalNameString);
+                citation, citationMicroReference, originalInfo);
         return result;
     }
 
@@ -96,8 +96,8 @@ public class TextualTypeDesignation extends TypeDesignationBase<SpecimenTypeDesi
         super();
     }
 
-    protected TextualTypeDesignation(String text, Language language, boolean isVerbatim, Reference citation, String citationMicroReference, String originalNameString) {
-        super(citation, citationMicroReference, originalNameString);
+    protected TextualTypeDesignation(String text, Language language, boolean isVerbatim, Reference citation, String citationMicroReference, String originalInfo) {
+        super(citation, citationMicroReference, originalInfo);
         language = Language.UNDETERMINED();
         LanguageString ls = LanguageString.NewInstance(text, language);
         this.putText(ls);
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationBase.java
index 67567fdaff..4f5e16d383 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationBase.java
@@ -140,13 +140,13 @@ public abstract class TypeDesignationBase<T extends TypeDesignationStatusBase<T>
      *
      * @param citation				the reference source for the new designation
      * @param citationMicroReference	the string with the details describing the exact localisation within the reference
-     * @param originalNameString	the taxon name string used originally in the reference source for the new designation
+     * @param originalInfo	any information from the original source, might be the name as written in the source (#10097)
      * @see							#TypeDesignationBase()
      * @see							#isNotDesignated()
      * @see							TaxonName#getTypeDesignations()
      */
-    protected TypeDesignationBase(Reference citation, String citationMicroReference, String originalNameString) {
-        this(citation, citationMicroReference, originalNameString, false);
+    protected TypeDesignationBase(Reference citation, String citationMicroReference, String originalInfo) {
+        this(citation, citationMicroReference, originalInfo, false);
     }
 
     /**
@@ -157,15 +157,15 @@ public abstract class TypeDesignationBase<T extends TypeDesignationStatusBase<T>
      *
      * @param citation				the reference source for the new designation
      * @param citationMicroReference	the string with the details describing the exact localisation within the reference
-     * @param originalNameString	the taxon name string used originally in the reference source for the new designation
+     * @param originalInfo	any information from the original source, might be the name as written in the source (#10097)
      * @param isNotDesignated		the boolean flag indicating whether there is no type at all for
      * 								<i>this</i> type designation
      * @see							#TypeDesignationBase()
      * @see							#isNotDesignated()
      * @see							TaxonName#getTypeDesignations()
      */
-    protected TypeDesignationBase(Reference citation, String citationMicroReference, String originalNameString, boolean notDesignated){
-        this(NamedSource.NewPrimarySourceInstance(citation, citationMicroReference), originalNameString, notDesignated);
+    protected TypeDesignationBase(Reference citation, String citationMicroReference, String originalInfo, boolean notDesignated){
+        this(NamedSource.NewPrimarySourceInstance(citation, citationMicroReference, null, originalInfo), notDesignated);
     }
 
     /**
@@ -175,15 +175,13 @@ public abstract class TypeDesignationBase<T extends TypeDesignationStatusBase<T>
      * the former designation).
      *
      * @param source                the reference source for the new designation
-     * @param originalNameString    the taxon name string used originally in the reference source for the new designation
      * @param isNotDesignated       the boolean flag indicating whether there is no type at all for
      *                              <i>this</i> type designation
      * @see                         #TypeDesignationBase()
      * @see                         #isNotDesignated()
      * @see                         TaxonName#getTypeDesignations()
      */
-    protected TypeDesignationBase(NamedSource designationSource, String originalNameString, boolean notDesignated){
-        super();
+    protected TypeDesignationBase(NamedSource designationSource, boolean notDesignated){
         this.notDesignated = notDesignated;
         this.designationSource = designationSource;
     }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/NamedSource.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/NamedSource.java
index ac505d6443..33e5fdcd0b 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/NamedSource.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/NamedSource.java
@@ -72,16 +72,17 @@ public class NamedSource extends NamedSourceBase {
         return result;
     }
 
-    public static NamedSource NewInstance(OriginalSourceType type, String id, String idNamespace, Reference citation, String microReference, TaxonName nameUsedInSource, String originalNameString){
+    public static NamedSource NewInstance(OriginalSourceType type, String id, String idNamespace, Reference citation, String microReference,
+            TaxonName nameUsedInSource, String originalInfo){
         NamedSource result = NewInstance(type, id, idNamespace, citation, microReference);
         result.setNameUsedInSource(nameUsedInSource);
-        result.setOriginalNameString(originalNameString);
+        result.setOriginalInfo(originalInfo);
         return result;
     }
 
     public static NamedSource NewInstance(OriginalSourceType type, String id, String idNamespace,
-        Reference citation, String microReference, TaxonName nameUsedInSource, String originalNameString, ICdmTarget target){
-        NamedSource result = NewInstance(type, id, idNamespace, citation, microReference, nameUsedInSource, originalNameString);
+        Reference citation, String microReference, TaxonName nameUsedInSource, String originalInfo, ICdmTarget target){
+        NamedSource result = NewInstance(type, id, idNamespace, citation, microReference, nameUsedInSource, originalInfo);
         result.setCdmSource(target);
         return result;
     }
@@ -93,10 +94,10 @@ public class NamedSource extends NamedSourceBase {
     }
 
 
-    public static NamedSource NewPrimarySourceInstance(Reference citation, String microReference, TaxonName nameUsedInSource, String originalNameString){
+    public static NamedSource NewPrimarySourceInstance(Reference citation, String microReference, TaxonName nameUsedInSource, String originalInfo){
         NamedSource result = NewPrimarySourceInstance(citation, microReference);
         result.setNameUsedInSource(nameUsedInSource);
-        result.setOriginalNameString(originalNameString);
+        result.setOriginalInfo(originalInfo);
         return result;
     }
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/OriginalSourceBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/OriginalSourceBase.java
index fa82d49113..7e190ac670 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/OriginalSourceBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/OriginalSourceBase.java
@@ -62,9 +62,9 @@ import eu.etaxonomy.cdm.strategy.merge.MergeMode;
     "type",
 	"idInSource",
     "idNamespace",
-    "originalNameString",
     "citation",
     "citationMicroReference",
+    "originalInfo",
     "cdmSource",
     "links"
 })
@@ -114,8 +114,8 @@ public abstract class OriginalSourceBase
     @XmlElement(name = "CitationMicroReference")
     private String citationMicroReference;
 
-    @XmlElement(name = "OriginalNameString")
-    private String originalNameString;
+    @XmlElement(name = "OriginalInfo")
+    private String originalInfo;
 
     @XmlElement(name = "CdmSource")
     @XmlIDREF
@@ -192,11 +192,11 @@ public abstract class OriginalSourceBase
         this.citationMicroReference = citationMicroReference;
     }
 
-    public String getOriginalNameString(){
-        return this.originalNameString;
+    public String getOriginalInfo(){
+        return this.originalInfo;
     }
-    public void setOriginalNameString(String originalNameString){
-        this.originalNameString = originalNameString;
+    public void setOriginalInfo(String originalInfo){
+        this.originalInfo = originalInfo;
     }
 
 	@Override
@@ -268,7 +268,7 @@ public abstract class OriginalSourceBase
 		}
 
 		//no changes to: type, idInSource, idNamespace,
-		//   citation, citationMicroReference, originalNameString
+		//   citation, citationMicroReference, originalInfo
 		return result;
 	}
 
@@ -293,7 +293,7 @@ public abstract class OriginalSourceBase
 	        && (excludeType || this.type == null)
 	        && this.getCitation() == null
 	        && isBlank(this.getCitationMicroReference())
-	        && isBlank(this.getOriginalNameString())
+	        && isBlank(this.getOriginalInfo())
 	        && isBlank(this.getIdInSource())
 	        && isBlank(this.getIdNamespace())
 	        && this.links.isEmpty()
@@ -332,7 +332,7 @@ public abstract class OriginalSourceBase
 
         if(thisCitationId != otherCitationId
                 || !StringUtils.equals(this.getCitationMicroReference(), other.getCitationMicroReference())
-                || !StringUtils.equals(this.getOriginalNameString(), other.getOriginalNameString())
+                || !StringUtils.equals(this.getOriginalInfo(), other.getOriginalInfo())
                         ){
             return false;
         }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/name/NameCacheStrategyBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/name/NameCacheStrategyBase.java
index 7ee06b0052..4ff6086236 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/name/NameCacheStrategyBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/name/NameCacheStrategyBase.java
@@ -216,15 +216,15 @@ public abstract class NameCacheStrategyBase
         //Hibernate.initialize(currentName.getRelationsToThisName());
         TaxonName originalName = currentName.getOriginalSpelling();
         if (originalName != null){
-            String originalNameString;
+            String originalInfo;
             tags.add(TaggedText.NewSeparatorInstance(" [as \""));
             if (!originalName.isNonViral()){
-                originalNameString = originalName.getTitleCache();
-                tags.add(new TaggedText(TagEnum.name, originalNameString));
+                originalInfo = originalName.getTitleCache();
+                tags.add(new TaggedText(TagEnum.name, originalInfo));
             }else{
                 INonViralName originalNvName = CdmBase.deproxy(originalName);
-                originalNameString = makeOriginalNameString(originalNvName, tags);
-                for (String split : originalNameString.split(" ")){
+                originalInfo = makeOriginalInfo(originalNvName, tags);
+                for (String split : originalInfo.split(" ")){
                     if (split.matches(NonViralNameParserImplRegExBase.infraSpeciesMarker)
                             || split.matches(NonViralNameParserImplRegExBase.oldInfraSpeciesMarker)) {
                         tags.add(new TaggedText(TagEnum.rank, split));
@@ -239,7 +239,7 @@ public abstract class NameCacheStrategyBase
         }
     }
 
-    private String makeOriginalNameString(INonViralName originalName,
+    private String makeOriginalInfo(INonViralName originalName,
             List<TaggedText> currentNameTags) {
         //use cache if necessary
         String cacheToUse = null;
@@ -255,21 +255,21 @@ public abstract class NameCacheStrategyBase
         }
         //use atomized data
         //get originalNameParts array
-        String originalNameString = originalName.getNameCache();
-        if (originalNameString == null){
-            originalNameString = originalName.getTitleCache();
+        String originalInfo = originalName.getNameCache();
+        if (originalInfo == null){
+            originalInfo = originalName.getTitleCache();
         }
-        if (originalNameString == null){  //should not happen
-            originalNameString = originalName.getFullTitleCache();
+        if (originalInfo == null){  //should not happen
+            originalInfo = originalName.getFullTitleCache();
         }
-        String[] originalNameSplit = originalNameString.split("\\s+");
+        String[] originalNameSplit = originalInfo.split("\\s+");
 
         //get current name parts
         String currentNameString = createString(currentNameTags);
         String[] currentNameSplit = currentNameString.split("\\s+");
 
         //compute string
-        String result = originalNameString;
+        String result = originalInfo;
         Integer firstDiff = null;
         Integer lastDiff = -1;
         for (int i = 0; i < Math.min(originalNameSplit.length, currentNameSplit.length); i++){
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/NonViralNameParserImpl.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/NonViralNameParserImpl.java
index 6a1d123585..e2a7e70db8 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/NonViralNameParserImpl.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/parser/NonViralNameParserImpl.java
@@ -406,10 +406,10 @@ public class NonViralNameParserImpl
      * Tries to create the best name (without authors) that makes an original spelling name for the nameToBeFilled.
      */
     private void handleOriginalSpelling(INonViralName nameToBeFilled) {
-        if (nameToBeFilled.getNomenclaturalSource()== null || CdmUtils.isBlank(nameToBeFilled.getNomenclaturalSource().getOriginalNameString())){
+        if (nameToBeFilled.getNomenclaturalSource()== null || CdmUtils.isBlank(nameToBeFilled.getNomenclaturalSource().getOriginalInfo())){
             return;
         }
-        String originalNameString = nameToBeFilled.getNomenclaturalSource().getOriginalNameString();
+        String originalInfo = nameToBeFilled.getNomenclaturalSource().getOriginalInfo();
 
         final int n = 5;
         String nameSplit[] = new String[n];
@@ -418,7 +418,7 @@ public class NonViralNameParserImpl
         nameSplit[2] = nameToBeFilled.getSpecificEpithet();
         nameSplit[3] = nameToBeFilled.getRank()== null? null : nameToBeFilled.getRank().getAbbreviation();
         nameSplit[4] = nameToBeFilled.getInfraSpecificEpithet();
-        String originalNameSplit[] = originalNameString.split(" ");
+        String originalNameSplit[] = originalInfo.split(" ");
 
         int bestOffset = -1;
         int bestDiff = Integer.MAX_VALUE;
@@ -465,7 +465,7 @@ public class NonViralNameParserImpl
         originalName.setInfraSpecificEpithet(finalSplit[4]);
 
         nameToBeFilled.setOriginalSpelling(originalName);
-        nameToBeFilled.setOriginalNameString(null);
+        nameToBeFilled.setOriginalInfo(null);
         return;
     }
 
@@ -521,7 +521,7 @@ public class NonViralNameParserImpl
 	}
 
 	/**
-     * Extracts the original spelling string and adds it to the original source as <code>originalNameString</code>.
+     * Extracts the original spelling string and adds it to the original source as <code>originalInfo</code>.
      * The original spelling part is deleted from the reference String.
      * @return  String the new (shortend) reference String
      */
@@ -534,7 +534,7 @@ public class NonViralNameParserImpl
             String originalSpellingPhrase = hasOrginalSpellingMatcher.group(0);
             String originalSpellingStr = originalSpellingPhrase.substring(originalSpellingStart.length());
             originalSpellingStr = originalSpellingStr.substring(0, originalSpellingStr.length() - originalSpellingEnd.length()+1);
-            nameToBeFilled.setOriginalNameString(originalSpellingStr);
+            nameToBeFilled.setOriginalInfo(originalSpellingStr);
             fullString = fullString.replace(originalSpellingPhrase, "").trim();
         }
 
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/TypeDesignationBaseTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/TypeDesignationBaseTest.java
index 12d51d0166..1eed150952 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/TypeDesignationBaseTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/model/name/TypeDesignationBaseTest.java
@@ -31,10 +31,10 @@ public class TypeDesignationBaseTest extends EntityTestBase {
         SpecimenTypeDesignationStatus status = SpecimenTypeDesignationStatus.HOLOTYPE();
         Reference citation = ReferenceFactory.newBook();
         String microCitation = "p. 123";
-        String originalNameString = "orig. name";
+        String originalInfo = "orig. info";
         boolean isNotDesignated = true;
         SpecimenTypeDesignation originalDesignation = name1.addSpecimenTypeDesignation(specimen, status,
-                citation, microCitation, originalNameString, isNotDesignated, false);
+                citation, microCitation, originalInfo, isNotDesignated, false);
         Registration registration1 = Registration.NewInstance();
         registration1.addTypeDesignation(originalDesignation);
 
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/match/DefaultMatchStrategyTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/match/DefaultMatchStrategyTest.java
index b1b1dcac7e..a8684500bd 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/match/DefaultMatchStrategyTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/match/DefaultMatchStrategyTest.java
@@ -322,7 +322,7 @@ public class DefaultMatchStrategyTest extends TermTestBase {
 //		//name relations
 //		botName2.addBasionym(botName3, book1, "p.22", null);
 //		Specimen specimen1 = Specimen.NewInstance();
-//		botName2.addSpecimenTypeDesignation(specimen1, SpecimenTypeDesignationStatus.HOLOTYPE(), book2, "p.56", "originalNameString", false, true);
+//		botName2.addSpecimenTypeDesignation(specimen1, SpecimenTypeDesignationStatus.HOLOTYPE(), book2, "p.56", "originalInfo", false, true);
 //
 //		//descriptions
 //		TaxonNameDescription description1 = TaxonNameDescription.NewInstance();
diff --git a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/merge/DefaultMergeStrategyTest.java b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/merge/DefaultMergeStrategyTest.java
index 6d05722ee7..89af7abc81 100644
--- a/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/merge/DefaultMergeStrategyTest.java
+++ b/cdmlib-model/src/test/java/eu/etaxonomy/cdm/strategy/merge/DefaultMergeStrategyTest.java
@@ -277,7 +277,7 @@ public class DefaultMergeStrategyTest extends TermTestBase {
 		//name relations
 		botName2.addBasionym(botName3, book1, "p.22", null, null);
 		DerivedUnit specimen1 = DerivedUnit.NewPreservedSpecimenInstance();
-		botName2.addSpecimenTypeDesignation(specimen1, SpecimenTypeDesignationStatus.HOLOTYPE(), book2, "p.56", "originalNameString", false, true);
+		botName2.addSpecimenTypeDesignation(specimen1, SpecimenTypeDesignationStatus.HOLOTYPE(), book2, "p.56", "originalInfo", false, true);
 
 		//descriptions
 		TaxonNameDescription description1 = TaxonNameDescription.NewInstance();
diff --git a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/data/FullCoverageDataGenerator.java b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/data/FullCoverageDataGenerator.java
index b0ffcd0acb..cf32c345f7 100644
--- a/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/data/FullCoverageDataGenerator.java
+++ b/cdmlib-persistence/src/main/java/eu/etaxonomy/cdm/database/data/FullCoverageDataGenerator.java
@@ -995,7 +995,7 @@ public class FullCoverageDataGenerator {
 		//source
 		IdentifiableSource source = identifiableEntity.addSource(OriginalSourceType.Import, "id", "idNamespace",
 				getReference(), "123");
-		source.setOriginalNameString("original name");
+		source.setOriginalInfo("original name");
 
 		//LSID
 		 try {
